From: "Oliver Freyermuth" <o.freyermuth@googlemail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
Date: Fri, 28 Apr 2023 18:13:55 +0000 (UTC) [thread overview]
Message-ID: <1682705542.54e1c1ca704b38dfe0487dba0d901953c6be8efd.freyermuth@gentoo> (raw)
commit: 54e1c1ca704b38dfe0487dba0d901953c6be8efd
Author: Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Fri Apr 28 18:12:22 2023 +0000
Commit: Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Fri Apr 28 18:12:22 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=54e1c1ca
dev-cpp/scitokens-cpp: add 1.0.1
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>
dev-cpp/scitokens-cpp/Manifest | 1 +
dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild | 57 ++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
index 8a2d0ade8..725b79d63 100644
--- a/dev-cpp/scitokens-cpp/Manifest
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -1,3 +1,4 @@
DIST scitokens-cpp-0.7.1.tar.gz 99411 BLAKE2B b89c63ad35105a064e6f8ecd7596ba51de43096828a756b7c64669a352784c56bcb9295638f173cdbeac833e9dfc14828daf775d60a6cd124abf639125cf5842 SHA512 5c73fcccfb2db92916caced118e2ab4e110f7a8331a9bd84d06bd059da5258d7e8423822356e1833bbce7b047d7f31e2cd20cf4c0eb064dc2d248d9febab35b5
DIST scitokens-cpp-0.7.3.tar.gz 99699 BLAKE2B d5d4f4559a2668d391abf6f8139d4c1e6c99d7acfd26e730db19e91306096c6c67379ab920bfa130222908962f8ab62bd2e7dcade247d9f07431343346a88cb4 SHA512 b9d48e337bf4edf14d8ae231988b48e36736aa948b82dc8336a9adb8db91870a8d0bce25a4555fd728cf80c0bd0303bef5df6434f6ea031a8dce2edd99e0ad7e
DIST scitokens-cpp-1.0.0.tar.gz 309098 BLAKE2B ebe919bd5a4dada2fa08e881358caf597aeae9309d75977d8479b5859bb5d0d396cc890f4048ed3295c7e3cf483440fca40dd0bd7f1d54a608d547b72d3e6b5f SHA512 db0679be6bed7117ced05618a5cbd8c52f427e10e221a8094780ebaa1585caeae57a44fc2a76691bf33bbcf34dd1353b27caca8a9381dd3c3aa16a8ef6a14285
+DIST scitokens-cpp-1.0.1.tar.gz 309430 BLAKE2B cfb0a25bde68076334d37d0b47adcb2f1b794bf60330f612c3bfbe2588e420a2b427e9e9916ee14c2c348ed4448d781fad2068d35560b45740b81144aa12e6a6 SHA512 592d8c473ecdeed49c5552239d98e4da57313c8914b3c97c74a6bc4b1f4929b4490a33695e741972a8c83f6097d644fc4df94b3ca54d811c64dcf542b6467ea9
diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild
new file mode 100644
index 000000000..e0b428f84
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
+else
+ SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION=" A C++ implementation of the SciTokens library with a C library interface"
+HOMEPAGE="https://scitokens.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+DEPEND="${RDEPEND}
+ >=dev-cpp/jwt-cpp-0.6.0
+ dev-db/sqlite
+ dev-libs/openssl
+ net-misc/curl
+ sys-apps/util-linux
+ test? ( dev-cpp/gtest )"
+BDEPEND="virtual/pkgconfig"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ # Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
+ rm -rvf vendor
+ # Fix include path for picojson.
+ find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | \
+ xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
+ # Disable network-based tests relying on external services.
+ if use test; then
+ sed -i -e '/^TEST_F/s#RefreshTest#DISABLED_RefreshTest#' \
+ -e '/^TEST_F/s#RefreshExpiredTest#DISABLED_RefreshExpiredTest#' test/main.cpp || die
+ fi
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DSCITOKENS_BUILD_UNITTESTS="$(usex test)"
+ -DSCITOKENS_EXTERNAL_GTEST=YES
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ cmake_run_in "${BUILD_DIR}" ctest --verbose || die
+}
next reply other threads:[~2023-04-28 18:13 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-28 18:13 Oliver Freyermuth [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-01 12:58 [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/ Oliver Freyermuth
2023-04-28 18:13 Oliver Freyermuth
2023-03-23 3:25 Oliver Freyermuth
2022-11-02 17:29 Oliver Freyermuth
2022-11-02 17:29 Oliver Freyermuth
2022-11-01 13:08 Oliver Freyermuth
2022-03-05 16:44 Oliver Freyermuth
2022-02-26 18:55 Oliver Freyermuth
2022-02-26 18:44 Oliver Freyermuth
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1682705542.54e1c1ca704b38dfe0487dba0d901953c6be8efd.freyermuth@gentoo \
--to=o.freyermuth@googlemail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox